WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: gnupg on tce 6.3  (Read 2045 times)

Offline chattrhand

  • Jr. Member
  • **
  • Posts: 83
gnupg on tce 6.3
« on: June 30, 2015, 11:09:25 PM »
With tce 6.3 i am happy that keepassx.tcz (taken from a tce 4.7.7 installation) is working fine.
Not working:

1. after installing any extension with apps the wbar disappears.
   With desktop menu - SystemMenu - tc-wbarconf
   it can easily be restituted, so this is not a big problem.

2. gnupg.tce can be installed from tce 6. repository, but not run.
   Starting gpg within a terminal returns an error message:

   gpg: error while loading shared libraries:
   libcrypt.so.11 cannot open shared object file: no such file or directory

   Same with gpg2

3. gpa can be installed from tce 6. repository but not run.
   Starting gpa from wbar returns an error message:

   GPA Error
       Fatal Error in GPGME library
       (invoked from file options.c, line 291)
          Invalid crypto engine
       The application will be terminated
                                [ Close ]

Actually I have to keep a tce 4.7.7 installation alive for encryption training.
TinyCore, SliTaz, LinuxMint, Tails, Mac ...

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9542
Re: gnupg on tce 6.3
« Reply #1 on: June 30, 2015, 11:35:10 PM »
The disappearing wbar is difficult to fix (although an attempt was made recently) as I cannot duplicate on my hardware.

For gpg, gpg2 and gpa, please pm the extension maintainer to request an update.

Offline curaga

  • Administrator
  • Hero Member
  • *****
  • Posts: 9587
Re: gnupg on tce 6.3
« Reply #2 on: July 01, 2015, 12:08:31 AM »
Do you have updated wbar?
The only barriers that can stop you are the ones you create yourself.

Offline chattrhand

  • Jr. Member
  • **
  • Posts: 83
Re: gnupg on tce 6.3
« Reply #3 on: July 01, 2015, 10:38:53 AM »
Thanks for your fast answer.

I have found some workarounds to bypass this problem.

- With tc 4.7.7 all of the encryption tools are working fine. So I can wait until it is fixed.

- A TAILS DVD contains the same tools, and a pendrive is usable for data persistence.

Though, TinyCore is a very fine and fast system for everyday use.
TinyCore, SliTaz, LinuxMint, Tails, Mac ...

Offline ikeji

  • WikiUser
  • *
  • Posts: 12
Re: gnupg on tce 6.3
« Reply #4 on: February 16, 2016, 12:01:53 AM »
Hi
I have same shared library problem for Gnupg.

> $ gpg
> gpg: error while loading shared libraries: libgcrypt.so.11: cannot open shared object file: No such file or directory

I use tinycorelinux 6.4.1
libgcrypt package contains libgcrypt.so.20.0.2

Did anyone escalate to extension maintainer?
How to do it?

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9542
Re: gnupg on tce 6.3
« Reply #5 on: February 16, 2016, 12:08:35 AM »
Please send a pm to the extension maintainer, Onyarian

Offline ikeji

  • WikiUser
  • *
  • Posts: 12
Re: gnupg on tce 6.3
« Reply #6 on: February 19, 2016, 10:51:03 PM »
Sent!

Also I tried to compile myself, but gnupg requires other program "pinentry".
I tried to compile pinentry but current version of pinentry requires more newer version of libgpg-error.
Need to find older version of pinentry to get it work...

_madRat

  • Guest
Re: gnupg on tce 6.3
« Reply #7 on: April 13, 2016, 09:49:34 AM »
Dear ikeji,

The pinentry 0.9.1 works well with gnupg 2.0.29 and tinycore.

Also I have implement fltk version of pinentry, which is compatible with 0.9.1 and works on tinycore without GTK/QT requirements.